#ifndef _ANIMATION_H
#define _ANIMATION_H

#include "objects.h"
#include "models.h"


// Various animation methods
void ApplyRotation(t3DModel *pModel, t3DObject *pObject);
void ApplyTranslation(t3DModel *pModel, t3DObject *pObject, float* T);
void AnimateModel_Method_1(t3DModel *pModel, t3DObject *pObject);
void AnimateModel_Method_2(t3DModel *pModel, t3DObject *pObject);
void AnimateModel_Method_3(t3DModel *pModel, t3DObject *pObject);
void AnimateModel_Method_4(t3DModel *pModel, t3DObject *pObject);
void AnimateModel_Method_5(t3DModel *pModel, t3DObject *pObject);
void AnimateModel_Method_6(t3DModel *pModel, t3DObject *pObject, int* Tier);
void AnimateModel_Method_7(t3DModel *pModel, t3DObject *pObject, int* Tier);

#endif