#ifndef _DIAGNOSTICS_H
#define _DIAGNOSTICS_H

#include "objects.h"
#include "models.h"


///////////////////////////////// PIVOT DIAGNOSTICS \\\\\\\\\\\\\\\\\\\\\\\\\\\*
/////
/////	This diagnostic function renders extra diagnostic info (pivots, vertex[0])
/////
///////////////////////////////// PIVOT DIAGNOSTICS \\\\\\\\\\\\\\\\\\\\\\\\\\\*
void PivotDiagnostics(t3DModel *pModel, t3DObject *pObject, int CurrentFrame);

///////////////////////////////// IS PARENT QUERY \\\\\\\\\\\\\\\\\\\\\\\\\\\\\*
/////
/////	This diagnostic function returns whether a node is in the hierarchy
/////
///////////////////////////////// IS PARENT QUERY \\\\\\\\\\\\\\\\\\\\\\\\\\\\\*

bool IsParentQuery(t3DObject *pObject, unsigned short NodeID);


#endif