#include <windows.h>

#include "materials.h"

tMaterialInfo::tMaterialInfo()
{
	memset(strName, 0, sizeof(char) * 255);
	memset(strFile, 0, sizeof(char) * 255);		
	m_pAMBIENT[0] = 0.2f;
	m_pAMBIENT[1] = 0.2f;
	m_pAMBIENT[2] = 0.2f;
	m_pAMBIENT[3] = 1.0f;				
	m_pDIFFUSE[0] = 0.8f;
	m_pDIFFUSE[1] = 0.8f;
	m_pDIFFUSE[2] = 0.8f;
	m_pDIFFUSE[3] = 1.0f;
	m_pSPECULAR[0] = 0;
	m_pSPECULAR[1] = 0;
	m_pSPECULAR[2] = 0;
	m_pSPECULAR[3] = 1.0f;		
	m_pSHININESS = 0;
	m_pTRANSPARENCY = 1.0f;
	texureId = -1;
	uTile = 0;
	vTile = 0;
	uOffset = 0;
	vOffset = 0;
}

tMaterialInfo::tMaterialInfo(const tMaterialInfo& copy)
{
	memcpy(strName, copy.strName, sizeof(char) * 255);
	memcpy(strFile, copy.strFile, sizeof(char) * 255);		
	memcpy(m_pAMBIENT, copy.m_pAMBIENT, sizeof(float) * 4);
	memcpy(m_pDIFFUSE, copy.m_pDIFFUSE, sizeof(float) * 4);		
	memcpy(m_pSPECULAR, copy.m_pSPECULAR, sizeof(float) * 4);
	m_pSHININESS = copy.m_pSHININESS;
	m_pTRANSPARENCY = copy.m_pTRANSPARENCY;
	texureId = copy.texureId;
	uTile = copy.uTile;
	vTile = copy.vTile;
	uOffset = copy.uOffset;
	vOffset = copy.vOffset;
}

tMaterialInfo::~tMaterialInfo()
{
	memset(strName, 0, sizeof(char) * 255);
	memset(strFile, 0, sizeof(char) * 255);
	memset(m_pAMBIENT, 0, sizeof(float) * 4);
	memset(m_pDIFFUSE, 0, sizeof(float) * 4);		
	memset(m_pSPECULAR, 0, sizeof(float) * 4);
	m_pSHININESS = 0;
	m_pTRANSPARENCY = 0;
	texureId = -1;
	uTile = 0;
	vTile = 0;
	uOffset = 0;
	vOffset = 0;
}